EDIT - bug #9113

NPE when deleting classification
06/30/2020 03:48 PM - Katja Luther

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.16

Severity: normal Found in Version:

Description

mail AM:

Hallo,

Beim Ldschen einer Classification habe ich den Fehler unten bekommen. Im Code unten wurde wohl kein Parent gefunden, obwohl
eine ParentUuid existiert.

last remote method : http://localhost:8080/remoting/taxonnode.service

last remote request client time : 2020-06-28T16:02:58.615

last remote request response header time : Sun, 28 Jun 2020 16:02:58 +0200
client error time : 2020-06-28T16:02:58.63

login : admin
editor version : 5.16.0.qualifier
server : localhost (localhost-dev)

schema version : 5.15.2.0.20200611
os : Windows Server 2012 R2 6.3 amdo64
java : 1.8.0_121
org.eclipse.swt.SWTException: Failed to execute runnable (java.lang.NullPointerException)

at org.eclipse.swt.SWT.error (SWT. java:4533)

at org.eclipse.swt.SWT.error (SWT. java:4448)

at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer.java:185)

at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)

at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)

at org.eclipse.ed.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. ja
va:1121)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java
:1022)

at org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)

at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)

at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)

at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)

at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)

at eu.etaxonomy.taxeditor.Application.start (Application.java:20)

at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle.java:196)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLau
ncher.java:134)

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. jav
a:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:243)

at sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)

at java.lang.reflect.Method.invoke (Method. java:498)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main. java:610)

at org.eclipse.equinox.launcher.Main.run(Main.java:1519)

at org.eclipse.equinox.launcher.Main.main (Main.java:1492)
Caused by: java.lang.NullPointerException

at eu.etaxonomy.cdm.persistence.dto.TaxonNodeDto.<init> (TaxonNodeDto. java:83)
at eu.etaxonomy.cdm.persistence.dto.TaxonNodeDto.<init> (TaxonNodeDto.java:75)
at eu.etaxonomy.taxeditor.util.TaxonTreeNodeContentProvider.getParent (TaxonTreeNodeContentPr
ovider. java:74)
Associated revisions

Revision 687bfc97 - 06/29/2020 02:25 PM - Katja Luther

avoid NPE and fix closing of obsolete editors when deleting classification

History

#1 - 06/30/2020 03:50 PM - Katja Luther

- Status changed from New to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

please review

#2 - 06/30/2020 03:50 PM - Katja Luther

- % Done changed from 0 to 50

#3 - 06/30/2020 04:18 PM - Andreas Miuller

- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Katja Luther

- % Done changed from 50 to 100

This is fixed.
